# Vite package test

Test ESM / tree-shaking for package builded by `Vite` and consume in other repository bundled by `Webpack`.

1. Build this package - `yarn build`
2. Use this repo as dependency (e.g using `yalc` or `yarn link`)

```ts
import { hello } from "my-lib";

console.log(hello());

(...)
```

Should produce `x` kB bundle

```ts
import { hello, big } from "my-lib";

console.log(hello(), big());

(...)
```

Should produce `x + 10` kB bundle
